Bug 238704 - gnome db/gda needs to be updated to 3.0.0
gnome db/gda needs to be updated to 3.0.0
Product: Fedora
Classification: Fedora
Component: libgnomedb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-05-02 09:48 EDT by Edward Rudd
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-03 15:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Updated spec files and patches (14.56 KB, application/octet-stream)
2007-05-02 09:48 EDT, Edward Rudd
no flags Details

  None (edit)
Description Edward Rudd 2007-05-02 09:48:51 EDT
Description of problem:
gnomedb/gda crashes repeatedly on x86_64 (when using the db gui to add a DSN)
it does not correctly connect to mysql DSN's (fails w/ protocol error when
connecting to a mysql 5 server).

Version-Release number of selected component (if applicable):
latest release in FC6 extras

How reproducible:
Every time on the x86_64 and i386 systems I have access to

Steps to Reproduce: (x86_64) 
1. run database properties preference dialog
2. try and add a new DSN
3. choose any driver
4. click "next"

Actual results: (x86_64)
The dialog crashes

Expected results: (x86_64)
it to proceed to the next screen.

Steps to Reproduce: (both)  (i386 db properties works fine)
1. run gnumeric
2. add an execSQL function call to a cell
3. gnumeric prompts for pword
4. and prompts for pword
5. and prompts for pword

Actual results: (both)
it fails to query anything from the DB

Expected results: (both)
it should return the data.

Attitional information:
Attached is updated spec files for libgda and libgnomedb as well as required
patches (some lovingly borrowed from Mandrake's cooker)
Also in the tarball is an extra patch for gnumeric so it will work with
gda/gnomedb 3.0.0. As well as an updated spec file ( for the 1.6.3 stable release)
Comment 1 Edward Rudd 2007-05-02 09:48:51 EDT
Created attachment 153944 [details]
Updated spec files and patches
Comment 2 Hans de Goede 2007-05-02 10:05:20 EDT
Thanks for the specfiles and patches. I already have this on my todo list, and
you've just made it a lot easier for me. Esp. the gnumeric patch is much
appreciated that was one of the blocking issues in the past to update to a newer
development snapshot.

Now that 3.0.0 has been released, and you've provided a fix for the gnumeric
issue. I'll certainly update gda + gnomedb + gnumeric. Unfortunately this will
have to wait a bit until Fedora 7 is released as we are currently in a freeze
pending the F7 release.
Comment 3 Hans de Goede 2007-06-03 15:59:59 EDT
I've just send this to the fedora-devel mailing list, which closes this bug.
Thanks again for all the help in making this happen! :

Hi all,

A bit late, as I was surprised with rawhide switching to F8 mode so soon, but
here is a headsup, or more a heads after about a big leap in the libgda and
libgnomedb versions, libgda and libgnomedb in Fedora have long been at the
1.9.100 unstable / testing version, as gnumeric needed something newer then the
latest stable and stopped working with anything newer then 1.9.100 .

However libgda and libgnomedb upstream have finally released a new stable
version and a contributer has been so good as to provide a patch to gnumeric to
make gnumeric work with this version.

So a couple of days ago libgda-3.0.1 and libgnomedb-3.0.0 have hit rawhide,
together with a gnumeric 1.6.3 update which works with these new versions.

AFAIK gnumeric is the only user, but if not then please fix your packages to
work with these new stable releases.

Also AFAIK several potential libgnomedb using apps where sofar not packaged
because of the libgda / libgnomedb long long testing phase. Now that there
finally is a stable (most important ABI stable!) release, I expect to see other
packages using libgda + libgnomedb showing up. When you add such a package
please let me know, so that I can involve you in helping with testing with any
gda / gnomedb updates.

Since the 3.0.0 release is not ABI compatible with the 1.9.100 release I'm
currently only releasing this for rawhide, however if requested I will concider
pushing this as a F-7 updated too, so if you want to see it there, let me know


Comment 4 Hans de Goede 2007-06-03 16:15:06 EDT

I've send you're man page patch upstream by email, but they requested that it
got filed in bugzilla with some explanation as to why it is needed. So can you
file a bug against libgda in bugzilla.gnome.org, with the manpage patch, so that
upstream can fix this / integrate the patch.

Once done could you please add a comment here with the URL to this bug?


Note You need to log in before you can comment on or make changes to this bug.